#!/bin/bash
# import.sh

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi


cd $(dirname $install_loc)

ln -nfs $DOWNLOAD_LOC/$(basename $SRC_LOC) .

File_bin=$(basename $SRC_LOC)
File=$(basename $File_bin .bin) 
#on enleve le .bin présent à la fin de $File


echo "File_bin = $File_bin"
echo "File =     $File"

if [ -r $File ]; 
	then
		log "Directory of package $File already exists"
	else
		/bin/bash $File_bin --auto-accept
		log ".bin succesfully extracted"
		rm -rf $File_bin
		cd $File
		mv * $(dirname $install_loc)
		#on copie les dossiers présents dans le sous-repertoire du package à la racine du package
fi